// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

public interface SwitchPointOrBuilder extends
    // @@protoc_insertion_point(interface_extends:commonmodule.SwitchPoint)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * Switch position
   * </pre>
   *
   * <code>.commonmodule.ControlDPC Pos = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the pos field is set.
   */
  boolean hasPos();
  /**
   * <pre>
   * Switch position
   * </pre>
   *
   * <code>.commonmodule.ControlDPC Pos = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The pos.
   */
  openfmb.commonmodule.ControlDPC getPos();
  /**
   * <pre>
   * Switch position
   * </pre>
   *
   * <code>.commonmodule.ControlDPC Pos = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  openfmb.commonmodule.ControlDPCOrBuilder getPosOrBuilder();

  /**
   * <pre>
   * Start time
   * </pre>
   *
   * <code>.commonmodule.ControlTimestamp startTime = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the startTime field is set.
   */
  boolean hasStartTime();
  /**
   * <pre>
   * Start time
   * </pre>
   *
   * <code>.commonmodule.ControlTimestamp startTime = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The startTime.
   */
  openfmb.commonmodule.ControlTimestamp getStartTime();
  /**
   * <pre>
   * Start time
   * </pre>
   *
   * <code>.commonmodule.ControlTimestamp startTime = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  openfmb.commonmodule.ControlTimestampOrBuilder getStartTimeOrBuilder();
}
